#pragma once
#include <map>
struct M_ActivityMayDayWarriorCFGData
{
	//任务ID
	int mID;
	//名字
	std::string mName;
	//任务类型
	int mCompleteType;
	//特殊参数,填0不生效。对任务捕获指定鱼需要填写
	std::vector<int> mCompleteParam;
	//完成计数
	int mCompleteCount;
	//普通奖励
	std::vector<int> mOrdinaryReward;
	//普通奖励数量
	std::vector<int> mOrdinaryQuantity;
	//豪华奖励
	std::vector<int> mLuxuryReward;
	//豪华奖励数量
	std::vector<int> mLuxuryQuantity;
	//至尊奖励
	std::vector<int> mSupremeReward;
	//至尊奖励数量
	std::vector<int> mSupremeQuantity;
	//前往类型
	int mGoType;
};

class M_ActivityMayDayWarriorCFG
{
public:
private:
	static std::auto_ptr<M_ActivityMayDayWarriorCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityMayDayWarriorCFGData* GetData(int ID);
	const std::map<int, M_ActivityMayDayWarriorCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityMayDayWarriorCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityMayDayWarriorCFGData> mMapData;
};
